.menu {
  list-style: none;
  margin: 0;
  padding: 0;
  color: rgba( var(--c-full-white, 255, 255, 255), 1 );
}
.menu--root {
  display: flex;
  flex-direction: column;
  gap: 24px;
  height: 100%;
}
@media (min-width: 1024px) {
  .menu--root {
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 16px;
    height: auto;
  }
}
@media (min-width: 1280px) {
  .menu--root {
    gap: 32px;
  }
}
.menu__item--has-inner {
  position: relative;
}
.menu--root > .menu__item:last-child {
  margin-top: auto;
}
@media (min-width: 1024px) {
  .menu--root > .menu__item:last-child {
    margin-top: 0;
  }
}
.menu__item--has-active-trail > .menu__link {
  outline-color: rgba(255, 255, 255, 0.25);
}
.menu__link {
  display: inline-block;
  padding: 12px 24px;
  text-decoration: none;
  border-radius: 48px;
  outline: 2px solid transparent;
  transition: outline-color 0.2s;
}
.menu__link.button--primary {
  outline-color: transparent;
}
.menu__link.is-active {
  outline-color: rgba(255, 255, 255, 0.25);
}
.menu__link:focus-visible {
  outline-color: white;
}
@media (min-width: 1024px) {
  .menu__link {
    padding: 12px 16px;
  }
}
@media (min-width: 1280px) {
  .menu__link {
    padding: 12px 24px;
  }
}
.menu__link--toggle {
  padding-right: 48px;
  position: relative;
}
@media (min-width: 1024px) {
  .menu__link--toggle {
    padding-right: 40px;
  }
}
@media (min-width: 1280px) {
  .menu__link--toggle {
    padding-right: 48px;
  }
}
.menu__link--toggle::after {
  background: url(../../../icons/expand.svg) center no-repeat;
  content: "";
  display: block;
  height: 25px;
  position: absolute;
  right: 24px;
  top: 50%;
  transform: translateY(-50%);
  width: 24px;
}
@media (min-width: 1024px) {
  .menu__link--toggle::after {
    right: 16px;
  }
}
@media (min-width: 1280px) {
  .menu__link--toggle::after {
    right: 24px;
  }
}
.menu__link--expanded::after {
  transform: translateY(-50%) rotate(180deg);
}
.menu--inner .menu__link {
  padding: 12px 16px;
}
.menu--inner {
  color: rgba( var(--c-full-white, 255, 255, 255), 0.75 );
  display: none;
  flex-direction: column;
  gap: 12px;
  margin-top: 24px;
  padding: 8px;
}
@media (min-width: 1024px) {
  .menu--inner {
    background: rgba( var(--c-primary, 33, 11, 54), 1 );
    border-radius: 0 0 16px 16px;
    color: rgba( var(--c-full-white, 255, 255, 255), 1 );
    font-size: 1rem;
    gap: 8px;
    left: 16px;
    line-height: 1.2;
    margin-top: 0;
    min-width: 300px;
    position: absolute;
    top: calc(100% + 12px);
    z-index: -1;
  }
}
.menu--expanded {
  display: flex;
}

button.menu__link {
  background: none;
  border: none;
  color: inherit;
  cursor: pointer;
  font-weight: 300;
}
